# ezQuake Manual: OpenGL Rendering Variables

## gl_affinemodels

### Description

Makes texture rendering quality better if set to 1. Note: 3dfx thing, not sure. //fuh check this.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_buildingsparks

### Description

Buildings that are destroyed in TF will continue to throw sparks until they disapear.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_clear

### Description

This variable will toggle the clearing of the screen between each frame. This can be helpful when specing a game and flying out of the map or during map development when the map maker must fly outside of the map to look has his map from the outside. Enabling this command will clear the areas which are not rendered outside of the map thus preventing the flickering effect when images repeat themselves repeatedly. However it causes problems when playing and going through the surfaces of a liquid (for example when diving into liquid), as you will see a red flash where the liquid texture would normally be repeated.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | On.
0 | Off.

## gl_clearColor

### Description

Sets clear color (gl_clear 1)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is float.

## gl_cull

### Description

This variable toggles the use of internal OpenGL functions for removing covered objects. When this variable is set to "1" the game will depend on the OpenGL driver to use it's culling functions to remove certain objects from the calculations because they are covered up and would not be seen anyways. It is a good idea to leave this toggle enabled because it will increase rendering performance.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Use the OpenGL driver's culling functions.
0 | Do not use culling to increase rendering performance.

## gl_cutf_tesla_effect

### Description

When a shambler is preparing to throw lightning, or a tesla coil (TF) is charging to fire, a particle effect is generated.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_detpacklights

### Description

A little green light appears on the detpack, and when the timer reaches 5, the light changes to red. gl_coronas must be turned on for this to work.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_extratrails

### Description

Misc trails that appear on objects that frequently move, such as TF grenades, caltrops, etc. Railguns in TF also leave behind unique trails.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_finish

### Description

This variable toggles the calling of the gl_finish() OpenGL function after each rendered frame.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Call the gl_finish() function after each frame.
0 | Do not call the gl_finish() function after each frame.

## gl_inferno_speed

### Description

Changes speed of gl_inferno missile trail.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1000

Variable is float.

## gl_inferno_trail

### Description

Changes type of gl_inferno missile trail.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is float.

## gl_lightning

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Turns off coronas on lightning beams
1 | Turns on coronas on lightning beams.

## gl_lightning_size

### Description

Adjusts size of ligtning particle beam.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

## gl_lightning_sparks

### Description

Sparks fly from walls when hit by lightning gun.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

Enabled only for viewing demos and observing games.

## gl_motiontrails

### Description

When enabled, flags and keys leave behind a kind of after-image. Fiends also leave trails when they pounce.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_motiontrails_wtf

### Description

Same as gl_motiontrails but works for all players and creatures.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_nailtrail

### Description

Adds a white trail onto nails as they fly around. This feature wont work on servers not running with sv_nailhack set to 1.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enable nail trails.
0 | Disable nail trails.

## gl_nailtrail_plasma

### Description

Adds plasma trail to nails.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Blue plasma trail.
0 | No plasma trail.

Need gl_nailtrail 1.

## gl_nailtrail_turb

### Description

Switches between two type of bubbles nails leave behind in water.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Smaller bubbles
1 | Larger bubbles

gl_turb_trails 1 needs to be set.

## gl_nocolors

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Don't use top/bottom colors.
0 | Normal.

## gl_smoothmodels

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Smooth the textures on models.
0 | Do not smooth the textures on models.

## gl_triplebuffer

### Description

Triple buffering of head up display graphics. If you have problems with screen graphics, turn this on.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | On.
0 | Off.

This has nothing to do with 3D rendering, it will not increase graphics "lag" or anything like that. It only affects 2D head up display graphics.

## gl_ztrick

### Description

This variables toggles the use of a trick to prevent the clearning of the z-buffer between frames. When this variable is set to "1", the game will not clear the z-buffer between frames. This will result in increased performance but might cause problems for some display hardware.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Use the z-buffer trick.
0 | Do not use the z-buffer trick.

## r_farclip

### Description

Can be used to overcome vision being limited to 4096 units in GL clients (good for xpress2 etc).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4096

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs